%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm)
# END SourceDeps(oneline)
%define module_version 0.14
%define module_name InfoBrief
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: Perl extension for printing envelopes for Infobrief mailings according to the standards of the Deut...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/U/UL/ULPFR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This modules is probably not very useful outside of Germany. It is a
tool dedicated for printing envelopes for Infobrief mailings according
to the standards of the Deutsche Bundespost. You may customize it for
other standards though.

The output generated is Postscript level 2 and conforms to EPSF 1.2.
Since `copypage' ist used, the single pages contain only the new
address and running number and the size of the postscript file is
modest.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install
sed -i -e '1s,-\*-,,' %buildroot%_bindir/* 

%files
%doc README
%perl_vendor_privlib/I*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- initial import by package builder

